LibreOffice: XProofreader Interface Reference

LibreOffice LibreOffice 25.2 SDK API Reference

Loading...
Searching...
No Matches
XProofreader Interface Reference

API for proofreading a text. More...

`import "XProofreader.idl";`

Inheritance diagram for XProofreader:

## Public Member Functions
boolean | isSpellChecker ()
| whether is the text checked by the spell checker
ProofreadingResult | doProofreading ([in] string aDocumentIdentifier, [in] string aText, [in] com::sun::star::lang::Locale aLocale, [in] long nStartOfSentencePosition, [in] long nSuggestedBehindEndOfSentencePosition, [in] sequence< com::sun::star::beans::PropertyValue > aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
| start checking
void | ignoreRule ([in] string aRuleIdentifier, [in] com::sun::star::lang::Locale aLocale) raises ( com::sun::star::lang::IllegalArgumentException )
| disables a specific rule for a given locale.
void | resetIgnoreRules ()
| sets all rules back to their default settings.
Public Member Functions inherited from XSupportedLocales
sequence< com::sun::star::lang::Locale > | getLocales ()
boolean | hasLocale ([in] com::sun::star::lang::Locale aLocale)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

API for proofreading a text.

Since
  OOo 3.0.1

## Member Function Documentation

## ◆ doProofreading()

ProofreadingResult doProofreading | ( | [in] string | aDocumentIdentifier,
|  | [in] string | aText,
|  | [in] com::sun::star::lang::Locale | aLocale,
|  | [in] long | nStartOfSentencePosition,
|  | [in] long | nSuggestedBehindEndOfSentencePosition,
|  | [in] sequence< com::sun::star::beans::PropertyValue > | aProperties )
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

start checking

Parameters

  aDocumentIdentifier | the Document ID.
  aText | the flat text to be checked.
  aLocale | Language used in the text.
  nStartOfSentencePosition | Start Index of the text.
  nSuggestedBehindEndOfSentencePosition | Probable end position of the text.
  aProperties | additional properties of the text.

Currently the following properties may be supported:

FieldPositions | sequence<long> | indexes of fields in aText
FootnotePositions | sequence<long> | indexes of footnotes in aText

Exceptions

  IllegalArgumentException | when any argument is wrong.

## ◆ ignoreRule()

void ignoreRule | ( | [in] string | aRuleIdentifier,
|  | [in] com::sun::star::lang::Locale | aLocale )
raises | ( | com::sun::star::lang::IllegalArgumentException ) |  |  |

disables a specific rule for a given locale.

If the locale is empty the rule should be ignored for all languages.

## ◆ isSpellChecker()

boolean isSpellChecker | ( |  | ) |

whether is the text checked by the spell checker

Returns
  true if it is also a spell checker

## ◆ resetIgnoreRules()

void resetIgnoreRules | ( |  | ) |

sets all rules back to their default settings.

The documentation for this interface was generated from the following file:

- com/sun/star/linguistic2/XProofreader.idl